org.apache.http.message

## Class BasicHttpEntityEnclosingRequest

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.message.BasicHttpRequest
    - - org.apache.http.message.BasicHttpEntityEnclosingRequest

- All Implemented Interfaces:
    HttpEntityEnclosingRequest, HttpMessage, HttpRequest

      @NotThreadSafe
      public class BasicHttpEntityEnclosingRequest
      extends BasicHttpRequest
      implements HttpEntityEnclosingRequest

  Basic implementation of `HttpEntityEnclosingRequest`.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicHttpEntityEnclosingRequest(RequestLine requestline)`
    `BasicHttpEntityEnclosingRequest(String method, String uri)`
    `BasicHttpEntityEnclosingRequest(String method, String uri, ProtocolVersion ver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `expectContinue()` Tells if this request should use the expect-continue handshake.
    `HttpEntity` | `getEntity()` Returns the entity associated with this request.
    `void` | `setEntity(HttpEntity entity)` Associates the entity with this request.

    - ### Methods inherited from class org.apache.http.message.BasicHttpRequest

      `getProtocolVersion, getRequestLine, toString`

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpRequest

      `getRequestLine`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### Constructor Detail

    - #### BasicHttpEntityEnclosingRequest

          public BasicHttpEntityEnclosingRequest(String method,
                                         String uri)

    - #### BasicHttpEntityEnclosingRequest

          public BasicHttpEntityEnclosingRequest(String method,
                                         String uri,
                                         ProtocolVersion ver)

    - #### BasicHttpEntityEnclosingRequest

          public BasicHttpEntityEnclosingRequest(RequestLine requestline)

  - ### Method Detail

    - #### getEntity

          public HttpEntity getEntity()

      Description copied from interface: `HttpEntityEnclosingRequest`
      Returns the entity associated with this request.
      Specified by:
        `getEntity` in interface `HttpEntityEnclosingRequest`
      Returns:
        entity

    - #### setEntity

          public void setEntity(HttpEntity entity)

      Description copied from interface: `HttpEntityEnclosingRequest`
      Associates the entity with this request.
      Specified by:
        `setEntity` in interface `HttpEntityEnclosingRequest`
      Parameters:
        `entity` - the entity to send.

    - #### expectContinue

          public boolean expectContinue()

      Description copied from interface: `HttpEntityEnclosingRequest`
      Tells if this request should use the expect-continue handshake. The expect continue handshake gives the server a chance to decide whether to accept the entity enclosing request before the possibly lengthy entity is sent across the wire.
      Specified by:
        `expectContinue` in interface `HttpEntityEnclosingRequest`
      Returns:
        true if the expect continue handshake should be used, false if not.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.